#include "../../src/Battling/Library/BattleStatCalculator.hpp"
#include "../Core.hpp"
using namespace CreatureLib::Battling;

export const BattleStatCalculator* CreatureLib_BattleStatCalculator_Construct() { return new BattleStatCalculator(); }

export void CreatureLib_BattleStatCalculator_Destruct(const BattleStatCalculator* p) { delete p; }

export uint8_t CreatureLib_BattleStatCalculator_CalculateFlatStat(uint32_t& out, const BattleStatCalculator* p,
                                                                  Creature* creature,
                                                                  CreatureLib::Library::Statistic stat) {
    Try(out = p->CalculateFlatStat(creature, stat);)
}
export uint8_t CreatureLib_BattleStatCalculator_CalculateBoostedStat(uint32_t& out, const BattleStatCalculator* p,
                                                                     Creature* creature,
                                                                     CreatureLib::Library::Statistic stat) {
    Try(out = p->CalculateBoostedStat(creature, stat);)
}