#include "../../src/Battling/Library/MiscLibrary.hpp"
#include "../Core.hpp"
using namespace CreatureLib::Battling;

export MiscLibrary* CreatureLib_MiscLibrary_Construct() { return new MiscLibrary(); }

export void CreatureLib_MiscLibrary_Destruct(const MiscLibrary* p) { delete p; }

export uint8_t CreatureLib_MiscLibrary_IsCritical(bool& out, MiscLibrary* p, ExecutingAttack* attack, Creature* target,
                                                  uint8_t hit) {
    Try(out = p->IsCritical(attack, target, hit);)
};
export uint8_t CreatureLib_MiscLibrary_CanFlee(bool& out, MiscLibrary* p, FleeTurnChoice* switchChoice) {
    Try(out = p->CanFlee(switchChoice);)
};
export uint8_t CreatureLib_MiscLibrary_ReplacementAttack(BaseTurnChoice*& out, MiscLibrary* p, Creature* user,
                                                         uint8_t sideTarget, uint8_t creatureTarget) {
    Try(out = p->ReplacementAttack(user, CreatureIndex(sideTarget, creatureTarget));)
};
