#include "../../src/Library/AttackLibrary.hpp"
#include "../Core.hpp"
#include "BaseLibrary.cpp"

using namespace CreatureLib::Library;

export uint8_t CreatureLib_AttackLibrary_Construct(AttackLibrary*& library, size_t initialCapacity = 32) {
    Try(library = new AttackLibrary(initialCapacity);)
};

export void CreatureLib_AttackLibrary_Destruct(const AttackLibrary* p) { delete p; }

BASELIBRARY(CreatureLib_AttackLibrary, AttackLibrary, AttackData);