#include "../../src/Library/LibrarySettings.hpp"
#include "../Core.hpp"
using namespace CreatureLib::Library;

export const LibrarySettings* CreatureLib_LibrarySettings_Construct(uint8_t maximalLevel, uint8_t maximalMoves) {
    return new LibrarySettings(maximalLevel, maximalMoves);
}

export void CreatureLib_LibrarySettings_Destruct(const LibrarySettings* p) { delete p; }

SIMPLE_GET_FUNC(LibrarySettings, GetMaximalLevel, level_int_t);
SIMPLE_GET_FUNC(LibrarySettings, GetMaximalAttacks, uint8_t);