#include "../../src/Library/SpeciesLibrary.hpp"
#include "../Core.hpp"
#include "BaseLibrary.cpp"
using namespace CreatureLib::Library;

export const SpeciesLibrary* CreatureLib_SpeciesLibrary_Construct(size_t initialCapacity = 32) {
    return new SpeciesLibrary(initialCapacity);
};

export void CreatureLib_SpeciesLibrary_Destruct(const SpeciesLibrary* p) { delete p; }

BASELIBRARY(CreatureLib_SpeciesLibrary, SpeciesLibrary, CreatureSpecies);

export const CreatureSpecies* CreatureLib_SpeciesLibrary_GetById(const SpeciesLibrary* p, uint16_t id) {
    return p->GetById(id).GetRaw();
}