#include "BattleRandom.hpp"
#include "../ScriptHandling/ScriptMacros.hpp"
#include "Creature.hpp"
#include "ExecutingAttack.hpp"

bool CreatureLib::Battling::BattleRandom::EffectChance(float chance, ExecutingAttack* attack, Creature* target) {
    HOOK(ModifyEffectChance, attack, attack, target, &chance);
    HOOK(ModifyIncomingEffectChance, target, attack, target, &chance);
    chance /= 100;
    return _random.GetFloat() < chance;
}
