#include "AttackData.hpp"

CreatureLib::Library::AttackData::AttackData(const ArbUt::StringView& name, uint8_t type,
                                             CreatureLib::Library::AttackCategory category, uint8_t power,
                                             uint8_t accuracy, uint8_t baseUsage,
                                             CreatureLib::Library::AttackTarget target, int8_t priority,
                                             const SecondaryEffect* effect, std::unordered_set<uint32_t> flags)
    : _name(name), _type(type), _category(category), _basePower(power), _accuracy(accuracy), _baseUsages(baseUsage),
      _target(target), _priority(priority), _effect(effect), _flags(std::move(flags)) {}
