#include "LearnableAttacks.hpp"

using namespace CreatureLib::Library;

void LearnableAttacks::AddLevelAttack(level_int_t level, ArbUt::BorrowedPtr<const AttackData> attack) {
    if (_learnedByLevel.Has(level)) {
        _learnedByLevel[level].Append(attack);
    } else {
        _learnedByLevel.Insert(level, {attack});
    }
    if (!_distinctLevelAttacks.Contains(attack))
        _distinctLevelAttacks.Append(attack);
}