#ifndef CREATURELIB_MISCLIBRARY_HPP
#define CREATURELIB_MISCLIBRARY_HPP

#include "../Models/CreatureIndex.hpp"
#include "../Models/ExecutingAttack.hpp"
#include "../TurnChoices/FleeTurnChoice.hpp"

namespace CreatureLib::Battling {
    class MiscLibrary {
    public:
        virtual ~MiscLibrary() = default;
        virtual bool IsCritical(ExecutingAttack* attack, Creature* target, uint8_t hit) const;
        virtual bool CanFlee(FleeTurnChoice* switchChoice) const;
        virtual BaseTurnChoice* ReplacementAttack(Creature* user, CreatureIndex target) const;
    };
}

#endif // CREATURELIB_MISCLIBRARY_HPP
