#ifndef CREATURELIB_TALENTINDEX_HPP
#define CREATURELIB_TALENTINDEX_HPP

namespace CreatureLib::Library {
    class TalentIndex {
        bool _secret;
        uint8_t _index;

    public:
        inline TalentIndex() noexcept : _secret(false), _index(0){};
        inline TalentIndex(bool secret, uint8_t index) noexcept : _secret(secret), _index(index) {}
        constexpr inline bool IsSecret() const noexcept { return _secret; }
        constexpr inline bool GetIndex() const noexcept { return _index; }
    };
}

#endif // CREATURELIB_TALENTINDEX_HPP
