#include "DataLibrary.hpp"

CreatureLib::Library::DataLibrary::DataLibrary(LibrarySettings* settings, CreatureLib::Library::SpeciesLibrary* species,
                                               CreatureLib::Library::AttackLibrary* attacks,
                                               CreatureLib::Library::ItemLibrary* items,
                                               CreatureLib::Library::GrowthRateLibrary* growthRates,
                                               TypeLibrary* typeLibrary)
    : _settings(settings), _species(species), _attacks(attacks), _items(items), _growthRates(growthRates),
      _typeLibrary(typeLibrary) {
    AssertNotNull(_settings)
    AssertNotNull(_species)
    AssertNotNull(_attacks)
    AssertNotNull(_items)
    AssertNotNull(_growthRates)
    AssertNotNull(_typeLibrary)
}