#ifndef CREATURELIB_LIBRARYSETTINGS_HPP
#define CREATURELIB_LIBRARYSETTINGS_HPP

#include "../Defines.hpp"

namespace CreatureLib::Library {
    class LibrarySettings {
        level_int_t _maximalLevel;
        uint8_t _maximalAttacks;

    public:
        LibrarySettings(level_int_t maximalLevel, uint8_t maximalAttacks)
            : _maximalLevel(maximalLevel), _maximalAttacks(maximalAttacks) {}

        inline level_int_t GetMaximalLevel() const noexcept { return _maximalLevel; }

        inline uint8_t GetMaximalAttacks() const noexcept { return _maximalAttacks; }
    };
}

#endif // CREATURELIB_LIBRARYSETTINGS_HPP
