#ifdef TESTS_BUILD

#include "../../extern/doctest.hpp"
#include "../../src/Library/CreatureData/CreatureSpecies.hpp"

using namespace CreatureLib::Library;

TEST_CASE("Set Variant") {
    auto defaultVariant = new SpeciesVariant("default", 0, 0, 0, {0, 1}, StatisticSet<uint16_t>(), {}, {}, nullptr);
    auto c = CreatureSpecies(0, "foo", defaultVariant, 0, "", 0);
    auto secondVariant = new SpeciesVariant("second", 0, 0, 0, {0, 1}, StatisticSet<uint16_t>(), {}, {}, nullptr);
    c.SetVariant("second"_cnc, secondVariant);
}

#endif